com.google.gwt.user.client.ui

## Class SplitLayoutPanel.Splitter

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.SplitLayoutPanel.Splitter

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsWidget

Direct Known Subclasses:
  SplitLayoutPanel.HSplitter, SplitLayoutPanel.VSplitter

Enclosing class:
  SplitLayoutPanel

    abstract class SplitLayoutPanel.Splitter
    extends Widget

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

### Field Summary

Fields
`protected Widget` `target`

### Fields inherited from class com.google.gwt.user.client.ui.Widget

`eventsToSink`

### Fields inherited from class com.google.gwt.user.client.ui.UIObject

`DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

### Constructor Summary

Constructors
Constructor and Description
`Splitter(Widget target, boolean reverse)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract int` `getAbsolutePosition()`
`protected abstract double` `getCenterSize()`
`protected abstract int` `getEventPosition(Event event)`
`protected abstract int` `getTargetPosition()`
`protected abstract int` `getTargetSize()`
`void` `onBrowserEvent(Event event)` Fired whenever a browser event is received.
`void` `setMinSize(int minSize)`
`void` `setSnapClosedSize(int snapClosedSize)`
`void` `setToggleDisplayAllowed(boolean allowed)`

### Methods inherited from class com.google.gwt.user.client.ui.Widget

`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, ensureHandlers, fireEvent, getHandlerCount, getHandlerManager, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onDetach, onLoad, onUnload, removeFromParent, replaceElement, setLayoutData, setParent, sinkEvents, unsinkEvents`

### Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### target

    protected final Widget target

### Constructor Detail

#### Splitter

    public Splitter(Widget target,
                    boolean reverse)

### Method Detail

#### onBrowserEvent

    public void onBrowserEvent(Event event)

Description copied from interface: `EventListener`
Fired whenever a browser event is received.

Specified by:
  `onBrowserEvent` in interface `EventListener`
Overrides:
  `onBrowserEvent` in class `Widget`
Parameters:
  `event` - the event received

#### setMinSize

    public void setMinSize(int minSize)

#### setSnapClosedSize

    public void setSnapClosedSize(int snapClosedSize)

#### setToggleDisplayAllowed

    public void setToggleDisplayAllowed(boolean allowed)

#### getAbsolutePosition

    protected abstract int getAbsolutePosition()

#### getCenterSize

    protected abstract double getCenterSize()

#### getEventPosition

    protected abstract int getEventPosition(Event event)

#### getTargetPosition

    protected abstract int getTargetPosition()

#### getTargetSize

    protected abstract int getTargetSize()